main {
  min-height: 500vh;
}
.root {
  position: relative;
  background: var(--blue-bg);
}
.hero-img {
  width: 100vw;
  min-height: 20rem;
  height: 50vh;
  background-image: url(../assets/img/coral-res.webp);
  background-repeat: no-repeat;
  background-size: cover;
  display: grid;
  place-items: center;
}
.hero-img h2 {
  font-size: 5vw;
}
#section1 {
  min-height: 195vh;
  width: 100%;
  /* background: var(--blue-bg); */
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  padding-bottom: 1.5rem;
}
.paragraphs {
  height: 80vh;
  min-height: 23rem;
  line-height: 1.3;
  width: 85%;
  font-size: 120%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  padding: 1rem 0 1rem 0;
}
.collect {
  display: grid;
  grid-gap: 4rem;
  grid-template-columns: 1fr 1fr 1fr;
  padding: 3rem 3rem 0 3rem;
}
.collect-child {
  width: 90%;
  min-width: 15rem;
}
.collect-img {
  width: 100%;
  height: auto;
}
.collect :nth-child(2) {
  margin-top: 1.5rem;
}
#return {
  width: 100%;
  margin-top: 2.5rem;
  line-height: 1.5;
}
.text-container h3 {
  font-size: 1.4rem;
  background: var(--text-color);
  padding: 0.5rem 1.5rem;
  color: black;
}

#section2 {
  min-height: 300vh;
  display: grid;
  grid-template-columns: repeat(auto-fill, 49.2vw);
}
.section2-child img {
  height: 100%;
  width: 100%;
}
.section2-child,
.section2-child > * {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}
.text-container {
  width: 80%;
}
.text-container > *:not(a) {
  width: 100%;
  margin: 1rem 0 1rem 0;
}
.text-container p {
  font-size: 1.1rem;
  line-height: 1.7;
  width: 100%;
}
.btn-a {
  text-align: center;
  margin: 0.5rem 0 0 0;
}
.bottom-img {
  background-image: url(../assets/img/coral-bottom.webp);
  background-repeat: no-repeat;
  background-size: cover;
  height: 62vh;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 0 10rem 0;
}
.bottom-img h3 {
  width: 80%;
}
@media screen and (max-width: 1000px) {
  .paragraphs {
    min-height: 29rem;
    font-size: 1.7vw;
  }
}
@media screen and (max-width: 930px) {
  .hero-img h2 {
    font-size: 6vw;
    text-align: center;
  }
  .paragraphs {
    min-height: 30rem;
    font-size: 1.8vw;
    line-height: 1.5;
  }
  .collect,
  .collect-child {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
  }
  .collect-child {
    flex-direction: column;
    justify-content: start;
  }
  .collect .collect-child p {
    font-size: 3vw;
    text-align: center;
  }
  .collect-img,
  #return {
    width: 60%;
  }
  .section2-child {
    min-width: 75vw;
    margin: 3rem 0 3rem 0;
  }
  #section2 {
    display: block;
  }
  .section2-child img {
    width: 60%;
  }
  .donate-btn {
    width: 8rem;
    font-size: 1.1rem;
  }
}
@media screen and (max-width: 800px) {
  .paragraphs {
    min-height: 45rem;
    font-size: 2.3vw;
  }
}
@media screen and (max-width: 620px) {
  .hero-img h2 {
    font-size: 8vw;
  }
  .paragraphs {
    min-height: 48rem;
    font-size: 2.8vw;
  }
}
@media screen and (max-width: 520px) {
  .hero-img h2 {
    font-size: 8.5vw;
  }
  .section2-child img {
    width: 75%;
  }
  .donate-btn {
    height: 1rem;
  }
  .bottom-img h3 {
    font-size: 0.9rem;
  }
}
@media screen and (max-width: 500px) {
  .hero-img h2 {
    margin-bottom: 9rem;
    font-size: 12vw;
  }
  .paragraphs {
    font-size: 3.4vw;
    min-height: 52rem;
  }
}
@media screen and (max-width: 450px) {
  .paragraphs {
    min-height: 62rem;
    font-size: 3.8vw;
  }
}
@media screen and (max-width: 400px) {
  .paragraphs {
    min-height: 64rem;
    font-size: 4vw;
  }
}
@media screen and (max-width: 370px) {
  .paragraphs {
    min-height: 65rem;
    font-size: 4.4vw;
  }
}
